/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:strlen.c 12.0$ */
/* $ACIS:strlen.c 12.0$ */
/* $Source: /ibm/acis/usr/src/lib/libc/gen/RCS/strlen.c,v $ */

#ifndef lint
static char *rcsid = "$Header:strlen.c 12.0$";
#endif

#if defined(LIBC_SCCS) && !defined(lint)
static char sccsid[] = "@(#)strlen.c	5.2 (Berkeley) 3/9/86";
#endif LIBC_SCCS and not lint

/*
 * Returns the number of
 * non-NULL bytes in string argument.
 */

strlen(s)
register char *s;
{
	register n;

	n = 0;
	while (*s++)
		n++;
	return(n);
}
